PHP Handbuch
Zurück | Kapitel 5. Installation unter Mac OS X | Weiter

# Kompilieren für OS X Server

Mac OS X Server Installation.

1. Holen Sie sich die aktuellsten Versionen von Apache und PHP.

2. Entpacken Sie diese, und starten Sie das configure Programm für Apache.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache

3. Wenn Sie möchten, dass der Kompilierer einige Optimierungen vornimmt, können Sie z.B. die folgende Zeile hinzufügen:

       setenv OPTIM=-O2

4. Als nächstes wechseln Sie in das PHP 4 Quellverzeichnis und konfigurieren es.

       ./configure --prefix=/usr \
           --sysconfdir=/etc \
           --localstatedir=/var \
           --mandir=/usr/share/man \
           --with-xml \
           --with-apache=/src/apache_1.3.12

   Stellen Sie sicher, dass eventuell zusätzlich benötigte Erweiterungen (MySQL, GD, usw.) an dieser Stelle hinzugefügt werden. Zum Hinzufügen des Apaches kann die Option `--with-apache` mit Angabe des Pfades zu den Quelldateien, z.B. `/src/apache_1.3.12`, verwendet werden.

5. Geben Sie make und make install ein. Diese Aufrufe füget ein Verzeichnis `src/modules/php4` in den Quelldateien des Apaches ein.

6. Jetzt muß der Apache konfiguriert werden, um PHP 4 mit einzubinden.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache \
       --activate-module=src/modules/php4/libphp4.a

   Es kann sein, dass Sie eine Meldung erhalten, dass `libmodphp4.a` veraltet ist. In diesem Fall sollten sie im Apache Quellverzeichnis in das Verzeichnis `src/modules/php4` wechseln und den folgenden Befehl aufrufen: ranlib libmodphp4.a. Danach gehen Sie zurück ins Wurzelverzeichnis des Apache Quellverzeichnisses und starten erneut den configure Aufruf, dass wird die Verlinkungstabelle auf den neusten Stand bringen. Rufen Sie jetzt make und make install erneut auf.

7. Kopieren sie die Datei `php.ini-dist` aus Ihrem PHP 4 Quellverzeichnis unter `bin` und benennen Sie diese um: `cp php.ini-dist /usr/local/bin/php.ini` oder (wenn Sie kein local-Verzeichnis haben) `cp php.ini-dist /usr/bin/php.ini`.

Zurück | Zum Anfang | Weiter
Das enthaltene PHP verwenden | Nach oben | Kompilieren unter MacOS X Client